Name:           tinc
Version:        1.1pre18
Release:        1%{?dist}
Summary:        A virtual private network daemon

License:        GPLv2+
URL:            http://www.tinc-vpn.org/
Source0:        http://www.tinc-vpn.org/packages/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires: gcc
BuildRequires: kernel-headers
BuildRequires: pkgconfig(openssl)
BuildRequires: openssl-devel-engine
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(lzo2)
BuildRequires: systemd

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
tinc is a Virtual Private Network (VPN) daemon that uses tunnelling
and encryption to create a secure private network between hosts on
the Internet. Because the tunnel appears to the IP level network
code as a normal network device, there is no need to adapt any
existing software. This tunnelling allows VPN sites to share
information with each other over the Internet without exposing any
information to others.

%prep
%autosetup

%build
%configure --enable-jumbograms --with-systemd=%{_unitdir}
%make_build

%install
%make_install
rm -f %{buildroot}%{_infodir}/dir

%post
%systemd_post %{name}@.service
%systemd_post %{name}.service

%preun
%systemd_preun %{name}@.service
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}@.service
%systemd_postun_with_restart %{name}.service

%files
%doc AUTHORS COPYING.README NEWS README THANKS doc/sample* doc/*.tex
%license COPYING
%{_mandir}/man*/tinc*
%{_infodir}/tinc.info*
%{_sbindir}/tinc*
%{_unitdir}/tinc*.service
%{_datadir}/bash-completion/completions/tinc*
